Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.camera.recorder
Class CameraFlight

    java.lang.Object
      de.rico.engine.camera.recorder.CameraFlight

All Implemented Interfaces:
  java.io.Serializable

    public class CameraFlight

extends java.lang.Object
implements java.io.Serializable

This class represents a camera flight across the scene, which can be used for scripting a camera movement.

Author:
  Frank Bruns
See Also:
  Serialized Form

Constructor Summary
`CameraFlight(int framesPerSecond)` Creates a new camera flight object with the specified frames per second for that flight.

Method Summary
`void` | `addCheckPoint(Orientation check)` Adds a checkpoint to the camera flight.
`java.util.LinkedList<Orientation>` | `getCheckPoints()` Returns the list of sequencially ordered checkpoints of the camera flight.
`long` | `getDuration()` Returns the time duration of the camera flight meassured in miliseconds.
`int` | `getFramesPerSecond()` Returns the frames (checkpoints) per seconds, i.e. how many checkpoints have been created for one second of the camera flight.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CameraFlight

    public CameraFlight(int framesPerSecond)

  Creates a new camera flight object with the specified frames per second for that flight.

  Parameters:
    `framesPerSecond` - number of frames (checkpoints) per second

Method Detail

### addCheckPoint

    public void addCheckPoint(Orientation check)

  Adds a checkpoint to the camera flight.

  Parameters:
    `check` - checkpoint for the camera flight

### getCheckPoints

    public java.util.LinkedList<Orientation> getCheckPoints()

  Returns the list of sequencially ordered checkpoints of the camera flight.

  Returns:
    list of checkpoints

### getFramesPerSecond

    public int getFramesPerSecond()

  Returns the frames (checkpoints) per seconds, i.e. how many checkpoints have been created for one second of the camera flight.

  Returns:
    frames per second of the camera flight

### getDuration

    public long getDuration()

  Returns the time duration of the camera flight meassured in miliseconds.

  Returns:
    duration of the camera flight.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD